MutexStats (Oracle - Berkeley DB Java API)
Date: 2013-09-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class MutexStats

    java.lang.Object
      com.sleepycat.db.MutexStats

    public class MutexStats

extends Object

Statistics about mutexes in a Berkeley DB database environment, returned by `Environment.getMutexStats(com.sleepycat.db.StatsConfig)`

Method Summary
`int` | `getMutexAlign()` The mutex alignment, in bytes.
`int` | `getMutexCount()` The total number of mutexes configured.
`int` | `getMutexFree()` The number of mutexes currently available.
`int` | `getMutexInit()` The initial number of mutexes configured.
`int` | `getMutexInuse()` The number of mutexes currently in use.
`int` | `getMutexInuseMax()` The maximum number of mutexes ever in use.
`int` | `getMutexMax()` The maximum number of mutexes.
`int` | `getMutexTasSpins()` The number of times test-and-set mutexes will spin without blocking.
`long` | `getRegionNowait()` The number of times that a thread of control was able to obtain the mutex region mutex without waiting.
`long` | `getRegionWait()` The number of times that a thread of control was forced to wait before obtaining the mutex region mutex.
`long` | `getRegmax()` The max size of the mutex region size.
`long` | `getRegSize()` The size of the mutex region, in bytes.
`String` | `toString()` For convenience, the MutexStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getMutexAlign

    public int getMutexAlign()

  The mutex alignment, in bytes.

### getMutexTasSpins

    public int getMutexTasSpins()

  The number of times test-and-set mutexes will spin without blocking.

### getMutexInit

    public int getMutexInit()

  The initial number of mutexes configured.

### getMutexCount

    public int getMutexCount()

  The total number of mutexes configured.

### getMutexMax

    public int getMutexMax()

  The maximum number of mutexes.

### getMutexFree

    public int getMutexFree()

  The number of mutexes currently available.

### getMutexInuse

    public int getMutexInuse()

  The number of mutexes currently in use.

### getMutexInuseMax

    public int getMutexInuseMax()

  The maximum number of mutexes ever in use.

### getRegionWait

    public long getRegionWait()

  The number of times that a thread of control was forced to wait before obtaining the mutex region mutex.

### getRegionNowait

    public long getRegionNowait()

  The number of times that a thread of control was able to obtain the mutex region mutex without waiting.

### getRegSize

    public long getRegSize()

  The size of the mutex region, in bytes.

### getRegmax

    public long getRegmax()

  The max size of the mutex region size.

### toString

    public String toString()

  For convenience, the MutexStats class has a toString method that lists all the data fields.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.3.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.